Package org.gitana.platform.client.support

# Class Response

java.lang.Object
org.gitana.platform.client.support.Response

public class Response extends Object
Wraps a JSON response from the Gitana server.

Author:
  uzi

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`FIELD_ERROR`
`static final String`
`FIELD_MESSAGE`
`static final String`
`FIELD_OFFSET`
`static final String`
`FIELD_OK`
`static final String`
`FIELD_ROWS`
`static final String`
`FIELD_STACKTRACE`
`static final String`
`FIELD_TOTAL_ROWS`

## Constructor Summary

Constructors
Constructor
Description
`Response(com.fasterxml.jackson.databind.node.ObjectNode object, Map<String,String> headers)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getHeader(String name)`
`Map<String,String>`
`getHeaders()`
`String`
`getId()`
`int`
`getListOffset()`
`int`
`getListTotalRows()`
`String`
`getMessage()`
`com.fasterxml.jackson.databind.node.ObjectNode`
`getObjectNode()`
`List<com.fasterxml.jackson.databind.node.ObjectNode>`
`getObjectNodes()`
`String`
`getStackTrace()`
`boolean`
`isDataDocument()`
`boolean`
`isError()`
`boolean`
`isListDocument()`
`boolean`
`isOk()`
`boolean`
`isStatusDocument()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### FIELD_OK

public static final String FIELD_OK

See Also:
  - Constant Field Values

### FIELD_ERROR

public static final String FIELD_ERROR

See Also:
  - Constant Field Values

### FIELD_TOTAL_ROWS

public static final String FIELD_TOTAL_ROWS

See Also:
  - Constant Field Values

### FIELD_ROWS

public static final String FIELD_ROWS

See Also:
  - Constant Field Values

### FIELD_OFFSET

public static final String FIELD_OFFSET

See Also:
  - Constant Field Values

### FIELD_MESSAGE

public static final String FIELD_MESSAGE

See Also:
  - Constant Field Values

### FIELD_STACKTRACE

public static final String FIELD_STACKTRACE

See Also:
  - Constant Field Values

## Constructor Details

### Response

public Response(com.fasterxml.jackson.databind.node.ObjectNode object, Map<String,String> headers)

## Method Details

### getObjectNode

public com.fasterxml.jackson.databind.node.ObjectNode getObjectNode()

### getHeaders

public Map<String,String> getHeaders()

### getHeader

public String getHeader(String name)

### isStatusDocument

public boolean isStatusDocument()

### isListDocument

public boolean isListDocument()

### isDataDocument

public boolean isDataDocument()

### getId

public String getId()

### getListTotalRows

public int getListTotalRows()

### getListOffset

public int getListOffset()

### getObjectNodes

public List<com.fasterxml.jackson.databind.node.ObjectNode> getObjectNodes()

### isOk

public boolean isOk()

### isError

public boolean isError()

### getMessage

public String getMessage()

### getStackTrace

public String getStackTrace()